Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.tasklist
Class TaskCompletionFilterType

    java.lang.Object
      com.plumtree.remote.prc.collaboration.tasklist.TaskCompletionFilterType

public class TaskCompletionFilterType
extends java.lang.Object

An enumerated type used to describe the completion filter type for Tasks. It is used in `ITaskFilter.get/setCompletionType` methods.

Field Summary
`static TaskCompletionFilterType` | `ALL` Return all tasks regardless of completion status.
`static TaskCompletionFilterType` | `COMPLETED` Return tasks that have COMPLETED status.
`static TaskCompletionFilterType` | `OVERDUE` Return tasks that are overdue, i.e., task end date has already passed current time.
`static TaskCompletionFilterType` | `PENDING` Return tasks that have PENDING status.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL

    public static final TaskCompletionFilterType ALL

  Return all tasks regardless of completion status.

### PENDING

    public static final TaskCompletionFilterType PENDING

  Return tasks that have PENDING status.

### COMPLETED

    public static final TaskCompletionFilterType COMPLETED

  Return tasks that have COMPLETED status.

### OVERDUE

    public static final TaskCompletionFilterType OVERDUE

  Return tasks that are overdue, i.e., task end date has already passed current time.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.